import { isWindows } from "@tauri-apps/api/helpers/os-check";
import Sidebar from "./components/sidebar";

import { cn } from "./lib/utils";

import { dragging } from "./store";
import TitleBar from "./components/title-bar";

export default function App() {
	return (
		<div
			className={cn("select-none", {
				"cursor-col-resize": dragging.value.isDragging,
			})}
		>
			{isWindows() && <TitleBar />}

			<div className="grid grid-cols-[max-content,1fr]">
				<Sidebar />
			</div>
		</div>
	);
}
